This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 248668 - initng: portmap is obsolete in f7, should be using rpcbind
initng: portmap is obsolete in f7, should be using rpcbind
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initng-ifiles (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Malmgren
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 23:18 EDT by Pierre Marc Dumuid
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.1.4-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 18:08:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A diff that applies to /etc/initng/ directory to replace portmap with rpcbind, (please CHECK!!) (3.96 KB, patch)
2007-07-17 23:18 EDT, Pierre Marc Dumuid
no flags Details | Diff

  None (edit)
Description Pierre Marc Dumuid 2007-07-17 23:18:40 EDT
Description of problem:

Whilst booting, initnd stops and says /sbin/portmap wasn't able to be found.  
No RPM package provides this file in f7, (googling shows that rpcbind is to 
replace it)

Version-Release number of selected component (if applicable):

initng-ifiles-0.1.3-1.fc7

Below is an attachment of my changes that result in things working, but I'm 
not sure if this is completely correct!

I have left the runlevel/default.runlevel personal changes I made in there.
I also wonder if it'd be useful to default to having the sshd daemon started.
(as per the normal init bootup process)
Comment 1 Pierre Marc Dumuid 2007-07-17 23:18:41 EDT
Created attachment 159492 [details]
A diff that applies to /etc/initng/ directory to replace portmap with rpcbind, (please CHECK!!)
Comment 2 Daniel Malmgren 2007-08-23 02:56:35 EDT
Sorry for the delay. I've now fixed this in upstreams svn.
Comment 3 Fedora Update System 2007-08-27 17:41:44 EDT
initng-ifiles-0.1.4-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-09-04 18:08:41 EDT
initng-ifiles-0.1.4-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.